filter_buffer_encoder.c File Reference

Single-call raw encoding. More...

`#include "filter_encoder.h"`

## Functions

lzma_ret | lzma_raw_buffer_encode (const lzma_filter *filters, const lzma_allocator *allocator, const uint8_t *in, size_t in_size, uint8_t *out, size_t *out_pos, size_t out_size)
| Single-call raw encoder. More...

## Detailed Description

Single-call raw encoding.

## Function Documentation

## lzma_raw_buffer_encode()

lzma_ret lzma_raw_buffer_encode | ( | const lzma_filter * | filters,
|  | const lzma_allocator * | allocator,
|  | const uint8_t * | in,
|  | size_t | in_size,
|  | uint8_t * | out,
|  | size_t * | out_pos,
|  | size_t | out_size
| ) |  |

Single-call raw encoder.

Parameters

  filters | Array of lzma_filter structures. The end of the array must be marked with .id = LZMA_VLI_UNKNOWN.
  allocator | lzma_allocator for custom allocator functions. Set to NULL to use malloc() and free().
  in | Beginning of the input buffer
  in_size | Size of the input buffer
  out | Beginning of the output buffer
  out_pos | The next byte will be written to out[*out_pos]. *out_pos is updated only if encoding succeeds.
  out_size | Size of the out buffer; the first byte into which no data is written to is out[out_size].

Returns
  - LZMA_OK: Encoding was successful.
  - LZMA_BUF_ERROR: Not enough output buffer space.
  - LZMA_OPTIONS_ERROR
  - LZMA_MEM_ERROR
  - LZMA_DATA_ERROR
  - LZMA_PROG_ERROR

Note
  There is no function to calculate how big output buffer would surely be big enough. (lzma_stream_buffer_bound() works only for lzma_stream_buffer_encode(); raw encoder won't necessarily meet that bound.)